### Hierarchy

- unknown
  - GetPaymentMethodsRequest

## Index

### Constructors

- constructor

### Methods

- serializeBinary
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new GetPaymentMethodsRequest(): GetPaymentMethodsRequest

- Inherited from jspb.Message.constructor

  #### Returns GetPaymentMethodsRequest

## Methods

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:1806

  #### Returns Uint8Array

### toObject

- toObject(includeInstance?: boolean): GetPaymentMethodsRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1807

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns GetPaymentMethodsRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetPaymentMethodsRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1810

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetPaymentMethodsRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetPaymentMethodsRequest, reader: BinaryReader): GetPaymentMethodsRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1811

  #### Parameters

  - ##### message: GetPaymentMethodsRequest

  - ##### reader: BinaryReader

  #### Returns GetPaymentMethodsRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: GetPaymentMethodsRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:1809

  #### Parameters

  - ##### message: GetPaymentMethodsRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: GetPaymentMethodsRequest ): GetPaymentMethodsRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1808

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetPaymentMethodsRequest

  #### Returns GetPaymentMethodsRequest . AsObject

Generated using TypeDoc